package com.fjs.scenic.entity.good;

import java.util.Date;

public class PriceRule {
    private Integer id;

    private Integer goodsId;

    private Date date;

    private Integer sellPrice;

    private Integer settlementPrice;

    private Integer suggestPrice;

    private Integer repertory;

    public PriceRule(Integer id, Integer goodsId, Date date, Integer sellPrice, Integer settlementPrice, Integer suggestPrice, Integer repertory) {
        this.id = id;
        this.goodsId = goodsId;
        this.date = date;
        this.sellPrice = sellPrice;
        this.settlementPrice = settlementPrice;
        this.suggestPrice = suggestPrice;
        this.repertory = repertory;
    }

    public PriceRule() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Integer getSellPrice() {
        return sellPrice;
    }

    public void setSellPrice(Integer sellPrice) {
        this.sellPrice = sellPrice;
    }

    public Integer getSettlementPrice() {
        return settlementPrice;
    }

    public void setSettlementPrice(Integer settlementPrice) {
        this.settlementPrice = settlementPrice;
    }

    public Integer getSuggestPrice() {
        return suggestPrice;
    }

    public void setSuggestPrice(Integer suggestPrice) {
        this.suggestPrice = suggestPrice;
    }

    public Integer getRepertory() {
        return repertory;
    }

    public void setRepertory(Integer repertory) {
        this.repertory = repertory;
    }
}